# Defold Druid UI Library

# Module `druid.hover`

Component to handle hover node interaction

## Functions

init(node, on_hover_callback) | Component init function
set_hover(state) | Set hover state
set_click_zone(zone) | Strict hover click area.

## Tables

Events | Component events

## Functions

init(node, on_hover_callback)
  Component init function

  ### Parameters:

  - node node Gui node
  - on_hover_callback function Hover callback
set_hover(state)
  Set hover state

  ### Parameters:

  - state bool The hover state
set_click_zone(zone)
  Strict hover click area. Useful for no click events outside stencil node

  ### Parameters:

  - zone node Gui node

## Tables

Events
  Component events

  ### Fields:

  - on_hover druid_event On hover callback

generated by LDoc 1.4.6 Last updated 2020-04-17 20:13:54